package com.engine.organization.service;

import com.api.browser.bean.SearchConditionItem;
import com.engine.organization.entity.searchtree.SearchTreeParams;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2022/12/28
 * @version: 1.0
 */
public interface PersonnelResumeService {
    /**
     * 左侧树
     *
     * @param params
     * @return
     */
    Map<String, Object> getSearchTree(SearchTreeParams params);

    /**
     * 获取人员简历列表
     *
     * @param uId
     * @return
     */
    Map<String, Object> getResumeList(Integer uId);

    /**
     * 获取列表页面按钮信息
     *
     * @return
     */
    Map<String, Object> hasRight();


    /**
     * 人员简历下载
     * @param type
     * @param response
     * @return
     */
    String downloadPerResume(Integer type, HttpServletResponse response) throws Exception;


    List<SearchConditionItem> personnelScreening();
}
